/*

RadTreeView base css

* Notes on some CSS class names *

class  --  HTML element  --  description 

rtUL  --  <ul>  --  multiple nodes container
rtLI  --  <li>  --  one node 
rtFirst  --  <li>  -- TreeView's first node
rtLast  --  <li>  -- last node in a given node group (<ul>)
rtTop,rtMid,rtBot  --  <div>  -- a wrapper (<div>) inside a node (<li>) - can be in a top, middle or bottom node in a given node group
rtIn  --  <span> or <div>  -- the inner container inside a node - contains text (<span> rendering) or template (<div> rendering)
rtSp  --  <span>  -- holds a dummy element for adjustment of node heights (should be an even number if the skin node lines are dotted)
rtChk  --  <input>  -- holds a node's checkbox
rtImg  --  <img>  -- holds a node's icon
rtPlus,rtMinus -- <span> -- holds a node's expand / collapse buttons (plus / minus signs)

*/

.RadTreeView
{
	white-space:nowrap;
	cursor: default;
}

.RadTreeView .rtUL
{
	margin:0;
	padding:0;
}

.RadTreeView .rtLI
{
	list-style-image: none;
	list-style-position:outside;
	list-style:none;
	margin-left:5px;
}

/* link with NavigateUrl*/

.RadTreeView a.rtIn
{
	text-decoration: none;
	cursor: pointer;
}

/* template container */
.RadTreeView div.rtIn
{
	display:-moz-inline-block;
	display:inline-block;
	vertical-align:top;
}

/* "massage" the template container to obtain inline-block display */

* html .RadTreeView div.rtIn
{
	display:inline-block;
}

* html .RadTreeView div.rtIn
{
	display:inline;
}

*+html .RadTreeView div.rtIn
{
	display:inline-block;
}

*+html .RadTreeView div.rtIn
{
	display:inline;
}

/* end of "massage" */

.RadTreeView .rtSp
{
	display: -moz-inline-box;
	display: inline-block;
	width: 1px;
	vertical-align: middle;
}

.RadTreeView .rtUL .rtUL
{
	padding-left:20px;
}

.RadTreeView .rtPlus,
.RadTreeView .rtMinus
{
	font-size:0;
	padding:0;
	display: -moz-inline-box;
	display:inline-block;
	vertical-align:top;
	cursor: pointer;
}

.RadTreeView .rtTop,
.RadTreeView .rtMid,
.RadTreeView .rtBot,
.RadTreeView .rtUL
{
	zoom:1;
}

.RadTreeView .rtImg,
.RadTreeView .rtIn,
.RadTreeView .rtChk
{
	vertical-align:middle;
}

.RadTreeView .rtLoadingBefore,
.RadTreeView .rtLoadingAfter
{
	display: -moz-inline-box;
	display: inline-block;
	vertical-align: baseline;
}

.RadTreeView .rtLoadingBelow
{
	display:block;
}

.RadTreeView .rtEdit .rtIn
{
	cursor: text;
}
.RadTreeView .rtChecked, 
.RadTreeView .rtUnchecked, 
.RadTreeView .rtIndeterminate
{
    display:-moz-inline-box;
    display:inline-block;
    width: 13px;
    height: 13px;
	vertical-align:middle;
}

/*tri-state checkboxes*/


/* editing of wrapped nodes should add white-space nowrap to make the input box stay on the same line;
   if the white-space: normal is added through inline styles (on a per-node basis), it can be overriden only by using !important */
.RadTreeView .rtEdit *
{
	white-space: nowrap !important;
}

.RadTreeView .rtEdit .rtIn input
{
	outline: 0; /* disable safari glow effect - RadTreeView look consistency */
	cursor: text;
}

/* enables positioning of plus / minus images under firefox in rtl mode */


.RadTreeView_rtl .rtPlus, 
.RadTreeView_rtl .rtMinus
{
	position:relative;
}

/* reverts the above rule to fix the position:relative + overflow:auto bug under IE6&7 */
* html .RadTreeView_rtl .rtPlus, 
* html .RadTreeView_rtl .rtMinus
{
	position:static;
}

*+html .RadTreeView_rtl .rtPlus, 
*+html .RadTreeView_rtl .rtMinus
{
	position:static;
}

/*
turn on hasLayout of LI elements & inner treeitem containers in rtl mode
necessary to enable proper display of inner treeitem containers
*/
.RadTreeView_rtl .rtLI,
.RadTreeView_rtl .rtIn
{
	zoom:1;
}

.RadTreeView_rtl .rtUL .rtUL
{
	padding-right:20px;
	padding-left: 0;
}

/* hacks for Opera */
@media screen and (min-width:550px)
{
	/* opera inverts the padding automatically in rtl mode, so restore the initial order */
	html:first-child .RadTreeView_rtl .rtUL .rtUL
	{
		padding-left:20px;
		padding-right: 0;
	}
	
	/* fix for opera's unclickable plus/minus signs */
	html:first-child .RadTreeView .rtPlus:hover, 
	html:first-child .RadTreeView .rtMinus:hover
	{
		position: relative;
	}
	
	html:first-child .RadTreeView .rtSp
	{
		display: none;
	}
}

/*Design time*/
div.RadTreeView_designtime .rtTop, 
div.RadTreeView_designtime .rtMid, 
div.RadTreeView_designtime .rtBot
{
	position:relative;
}

div.RadTreeView_designtime .rtPlus, 
div.RadTreeView_designtime .rtMinus
{
	margin:0;
	position:absolute;
}


/*

RadTreeView Office2007 skin

* For notes on some CSS class names, please check RadTreeView common skin file *

*/

/* general styles */

.RadTreeView_Aqualize,
.RadTreeView_Aqualize a.rtIn,
.RadTreeView_Aqualize .rtEdit .rtIn input
{
	font:11px tahoma,verdana,sans-serif;
	color:#000;
	line-height:1.273em;
}

.RadTreeView_Aqualize .rtTop, 
.RadTreeView_Aqualize .rtMid, 
.RadTreeView_Aqualize .rtBot
{
	padding: 0 0 0 20px;
}

.RadTreeView_Aqualize .rtPlus, 
.RadTreeView_Aqualize .rtMinus
{
	margin:5px 8px 0 -17px;
	width:9px;
	height:9px;
}

.RadTreeView_Aqualize .rtPlus
{
	background: transparent url('TreeView/PlusMinus.gif') no-repeat 0 0;
}

.RadTreeView_Aqualize .rtMinus
{
	background: transparent url('TreeView/PlusMinus.gif') no-repeat 0 -9px;
}

.RadTreeView_Aqualize .rtSp
{
	height:18px;
}

.RadTreeView_Aqualize .rtChk
{
	margin: 0 2px;
	padding:0;
	width:12px;
	height:12px;
}

.RadTreeView_Aqualize .rtIn
{
	margin-left:3px;
	padding: 0 2px 1px;
	text-decoration:none;
}

/* endof general styles */

/*Three state checkboxes*/

.RadTreeView_Aqualize .rtIndeterminate
{
    background: transparent url('TreeView/TriState.gif') no-repeat 0 -26px;
}

.RadTreeView_Aqualize .rtChecked
{
    background: transparent url('TreeView/TriState.gif') no-repeat 0 0;
}

.RadTreeView_Aqualize .rtUnchecked
{
    background: transparent url('TreeView/TriState.gif') no-repeat 0 -13px ;
}
/* node states */

.RadTreeView_Aqualize .rtHover .rtIn
{
	color: #363636;
	text-decoration:underline;
}

.RadTreeView_Aqualize .rtSelected .rtIn
{
	color:#fff;
	background-color:#316ac5;
}

.RadTreeView_Aqualize_disabled .rtIn,
.RadTreeView_Aqualize .rtDisabled .rtIn
{
	color:#ccc;
}

.RadTreeView_Aqualize .rtSelected .rtLoadingBelow
{
	color: #000;
}

/* endof node states */


/* in-line editing */

.RadTreeView_Aqualize .rtLI .rtEdit .rtIn
{
	border:1px solid #999;
	padding: 1px 1px 0;
	height:1.2em;
	background: #fff;
	text-decoration: none;
	text-decoration:none;
}

.RadTreeView_Aqualize .rtEdit .rtIn input
{
	height:1em;
	line-height:1em;
	border:0;
	margin:0;
	padding:0;
	background:transparent;
}

/* endof in-line editing */


/* drop targets */

.rtDropAbove_Aqualize,
.rtDropBelow_Aqualize
{
    border: 1px dotted black;
    font-size: 3px;
    line-height: 3px;
    height: 3px;
}

.rtDropAbove_Aqualize
{
    border-bottom: 0;
}

.rtDropBelow_Aqualize
{
    border-top: 0;
}

/* endof drop targets */


/* node lines */

.RadTreeView_Aqualize .rtLines .rtLI,
.RadTreeView_Aqualize .rtLines .rtFirst .rtUL
{
	background:url('TreeView/NodeSpan.gif') repeat-y 0 0;
}
.RadTreeView_Aqualize_rtl .rtLines .rtLI,
.RadTreeView_Aqualize_rtl .rtLines .rtFirst .rtUL
{
	background:url('TreeView/NodeSpan_rtl.gif') repeat-y 100% 0;
}

.RadTreeView_Aqualize .rtLines .rtFirst
{
    background:url('TreeView/FirstNodeSpan.gif') no-repeat 0 1.273em;
}
.RadTreeView_Aqualize_rtl .rtLines .rtFirst
{
    background:url('TreeView/FirstNodeSpan_rtl.gif') no-repeat 100% 1.273em;
}

.RadTreeView_Aqualize .rtLines .rtFirst .rtUL
{
	background:url('TreeView/FirstNodeSpan.gif') repeat-y 0 1.273em;
}

.RadTreeView_Aqualize_rtl .rtLines .rtFirst .rtUL
{
	background:url('TreeView/FirstNodeSpan_rtl.gif') repeat-y 100% 1.273em;
}

.RadTreeView_Aqualize .rtLines .rtLast,
.RadTreeView_Aqualize .rtLines .rtLast .rtUL
{
	background:none;
}

.RadTreeView_Aqualize .rtLines .rtTop
{
	background:url('TreeView/TopLine.gif') 0 0 no-repeat;
}
.RadTreeView_Aqualize_rtl .rtLines .rtTop
{
	background:url('TreeView/TopLine_rtl.gif') 100% 0 no-repeat;
}

.RadTreeView_Aqualize .rtLines .rtLast .rtTop
{
	background:url('TreeView/SingleLine.gif') 0 0 no-repeat;
}

.RadTreeView_Aqualize_rtl .rtLines .rtLast .rtTop
{
	background:url('TreeView/SingleLine_rtl.gif') 100% 0 no-repeat;
}

.RadTreeView_Aqualize .rtLines .rtMid
{
	background:url('TreeView/MiddleLine.gif') 0 0 no-repeat;
}
.RadTreeView_Aqualize_rtl .rtLines .rtMid
{
	background:url('TreeView/MiddleLine_rtl.gif') 100% 0 no-repeat;
}

.RadTreeView_Aqualize .rtLines .rtBot
{
	background:url('TreeView/BottomLine.gif') 0 0 no-repeat;
}
.RadTreeView_Aqualize_rtl .rtLines .rtBot
{
	background:url('TreeView/BottomLine_rtl.gif') 100% 0 no-repeat;
}

/* endof node lines */


/* rtl-specific styles */

/* firefox */
.RadTreeView_Aqualize_rtl .rtPlus,
.RadTreeView_Aqualize_rtl .rtMinus,
x:-moz-any-link
{
	margin-right:-9px;
	right:-14px;
}

.RadTreeView_Aqualize_rtl .rtPlus,
.RadTreeView_Aqualize_rtl .rtMinus,
x:-moz-any-link, x:default
{
	margin-right:0;
	right:-17px;
}

* html .RadTreeView_Aqualize_rtl .rtPlus,
* html .RadTreeView_Aqualize_rtl .rtMinus
{
	margin-right:-17px;
	right:0;
}

*+html .RadTreeView_Aqualize_rtl .rtPlus,
*+html .RadTreeView_Aqualize_rtl .rtMinus
{
	margin-right:-17px;
	right:0;
}

.RadTreeView_Aqualize_rtl .rtTop,
.RadTreeView_Aqualize_rtl .rtMid, 
.RadTreeView_Aqualize_rtl .rtBot
{
	padding: 0 20px 2px 0;
	margin:0;
}

/* endof rtl-specific styles */


/* hacks for Opera & Safari */
@media screen and (min-width:550px)
{
	/* fixes for opera (changes the paddings/margins automatically in rtl mode) */

	html:first-child .RadTreeView_Aqualize_rtl .rtPlus,
	html:first-child .RadTreeView_Aqualize_rtl .rtMinus,
	html:first-child .RadTreeView_Aqualize_rtl .rtFirst .rtLI .rtPlus,
	html:first-child .RadTreeView_Aqualize_rtl .rtFirst .rtLI .rtMinus
	{
		margin:5px 8px 0 -17px;
		right:0;
	}
	
	/* fix for safari bug (inline-block positioned elements in rtl mode get no width) */
	:root .RadTreeView_Aqualize_rtl .rtPlus,
	:root .RadTreeView_Aqualize_rtl .rtMinus
	{
		right: 0;
		margin-right: -17px;
		margin-left: 8px;
	}
}

/* endof hacks */
.RadTreeView_Aqualize_designtime .rtPlus,
.RadTreeView_Aqualize_designtime .rtMinus
{
	left:4px;
	top:5px;
}